﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace TextBoxExample
{
    public partial class MainPage : PhoneApplicationPage
    {
        private MainViewModel viewModel;

        public MainPage()
        {
            InitializeComponent();
            viewModel = this.ContentPanel.DataContext as MainViewModel;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (string.IsNullOrEmpty(viewModel.TextBoxValue))
            {
                viewModel.TextBoxValue = "Jack";
            }
            else
            {
                viewModel.TextBoxValue = string.Empty;
            }
        }

        private void radTextBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            MessageBox.Show("TextChanged!");
        }
    }
}